Role names starting with a digit will fail in confg-download

Bug #1842141 reported by Emilien Macchi on 2019-08-30
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
tripleo
Low
Emilien Macchi

Bug Description

Originally reported here: https://bugzilla.redhat.com/show_bug.cgi?id=1746112

Description of problem:
If a role name starts with a number, config-download fails.

Name of my role: 1029uCompute

2019-08-27 16:41:38,214 p=17220 u=mistral | TASK [Output for async deployment ControllerArtifactsDeploy] *******************
2019-08-27 16:41:38,214 p=17220 u=mistral | Tuesday 27 August 2019 16:41:38 +0000 (0:00:00.214) 0:01:47.975 ********
2019-08-27 16:41:38,273 p=17220 u=mistral | skipping: [overcloud-controller-2] => {}
2019-08-27 16:41:38,326 p=17220 u=mistral | skipping: [overcloud-controller-1] => {}
2019-08-27 16:41:38,333 p=17220 u=mistral | skipping: [overcloud-controller-0] => {}
2019-08-27 16:41:38,379 p=17220 u=mistral | TASK [include] *****************************************************************
2019-08-27 16:41:38,379 p=17220 u=mistral | Tuesday 27 August 2019 16:41:38 +0000 (0:00:00.164) 0:01:48.140 ********
2019-08-27 16:41:38,610 p=17220 u=mistral | TASK [include] *****************************************************************
2019-08-27 16:41:38,611 p=17220 u=mistral | Tuesday 27 August 2019 16:41:38 +0000 (0:00:00.231) 0:01:48.372 ********
2019-08-27 16:41:38,722 p=17220 u=mistral | fatal: [overcloud-controller-2]: FAILED! => {"msg": "template error while templating string: expected token 'end of print statement', got 'uCompute_pre_deployments'.
String: {{ 1029uCompute_pre_deployments|default([]) }}"}
2019-08-27 16:41:38,776 p=17220 u=mistral | fatal: [overcloud-controller-1]: FAILED! => {"msg": "template error while templating string: expected token 'end of print statement', got 'uCompute_pre_deployments'. String: {{ 1029uCompute_pre_deployments|default([]) }}"}
2019-08-27 16:41:38,843 p=17220 u=mistral | fatal: [overcloud-controller-0]: FAILED! => {"msg": "template error while templating string: expected token 'end of print statement', got 'uCompute_pre_deployments'. String: {{ 1029uCompute_pre_deployments|default([]) }}"}
2019-08-27 16:41:38,852 p=17220 u=mistral | fatal: [overcloud-r630compute-0]: FAILED! => {"msg": "template error while templating string: expected token 'end of print statement', got 'uCompute_pre_deployments'. String: {{ 1029uCompute_pre_deployments|default([]) }}"}
2019-08-27 16:41:38,852 p=17220 u=mistral | NO MORE HOSTS LEFT *************************************************************
2019-08-27 16:41:38,853 p=17220 u=mistral | PLAY RECAP *********************************************************************
2019-08-27 16:41:38,853 p=17220 u=mistral | overcloud-controller-0 : ok=65 changed=22 unreachable=0 failed=1
2019-08-27 16:41:38,853 p=17220 u=mistral | overcloud-controller-1 : ok=65 changed=22 unreachable=0 failed=1
2019-08-27 16:41:38,854 p=17220 u=mistral | overcloud-controller-2 : ok=65 changed=22 unreachable=0 failed=1
2019-08-27 16:41:38,854 p=17220 u=mistral | overcloud-r630compute-0 : ok=9 changed=6 unreachable=0 failed=1
2019-08-27 16:41:38,854 p=17220 u=mistral | undercloud : ok=2 changed=0 unreachable=0 failed=0
2019-08-27 16:41:38,854 p=17220 u=mistral | Tuesday 27 August 2019 16:41:38 +0000 (0:00:00.243) 0:01:48.615 ********

Version-Release number of selected component (if applicable):
Queens and beyond.

How reproducible:
100%

Changed in tripleo:
status: Triaged → In Progress

Change abandoned by Emilien Macchi (<email address hidden>) on branch: master
Review: https://review.opendev.org/679504
Reason: https://review.opendev.org/#/c/679514/

Reviewed: https://review.opendev.org/679514
Committed: https://git.openstack.org/cgit/openstack/tripleo-common/commit/?id=21754e9987abd33b5c4f4d79dfbab324186f1fc8
Submitter: Zuul
Branch: master

commit 21754e9987abd33b5c4f4d79dfbab324186f1fc8
Author: Emilien Macchi <email address hidden>
Date: Fri Aug 30 17:00:07 2019 -0400

    config-download: rename pre/post deployment hostvars

    We can't have numbers starting an Ansible var, so we need to rename the
    pre/post deployments host vars, or we hit this error:
      template error while templating string: expected token 'end of print statement'

    https://docs.ansible.com/ansible/latest/user_guide/playbooks_variables.html#creating-valid-variable-names

    In this patch we have to duplicate host vars but it'll be cleaned up
    once we change to the new file in THT.

    Change-Id: Idbdd6a21eb2cd488daa1e3ddc844b4fc5267047c
    Related-Bug: #1842141

Reviewed: https://review.opendev.org/679515
Committed: https://git.openstack.org/cgit/openstack/tripleo-heat-templates/commit/?id=20a329f87d695265b919d32b74a65a08ec0a0029
Submitter: Zuul
Branch: master

commit 20a329f87d695265b919d32b74a65a08ec0a0029
Author: Emilien Macchi <email address hidden>
Date: Fri Aug 30 17:06:27 2019 -0400

    Rename pre/post deployments host vars

    To reflect the change done in dependency, we need to change the variable
    name.

    Change-Id: Id0f708e6d6ce9565a5569716edfe993c7eceabaa
    Related-Bug: #1842141
    Depends-On: Idbdd6a21eb2cd488daa1e3ddc844b4fc5267047c

Reviewed: https://review.opendev.org/679516
Committed: https://git.openstack.org/cgit/openstack/tripleo-common/commit/?id=e198e9fb5eb13c549cc57b5d993e94f22ce390e7
Submitter: Zuul
Branch: master

commit e198e9fb5eb13c549cc57b5d993e94f22ce390e7
Author: Emilien Macchi <email address hidden>
Date: Fri Aug 30 17:10:52 2019 -0400

    Clean up host var for pre/post deployment

    Just final clean-up.

    Change-Id: I9cd558bb83090c0d6fb58f72f3a1a01ec2141f3a
    Closes-Bug: #1842141
    Depends-On: Id0f708e6d6ce9565a5569716edfe993c7eceabaa

Changed in tripleo:
status: In Progress → Fix Released

Reviewed: https://review.opendev.org/680686
Committed: https://git.openstack.org/cgit/openstack/tripleo-common/commit/?id=44da685cb03d99d9ae34598741b40ed7af54633c
Submitter: Zuul
Branch: stable/stein

commit 44da685cb03d99d9ae34598741b40ed7af54633c
Author: Emilien Macchi <email address hidden>
Date: Fri Aug 30 17:00:07 2019 -0400

    config-download: rename pre/post deployment hostvars

    We can't have numbers starting an Ansible var, so we need to rename the
    pre/post deployments host vars, or we hit this error:
      template error while templating string: expected token 'end of print statement'

    https://docs.ansible.com/ansible/latest/user_guide/playbooks_variables.html#creating-valid-variable-names

    In this patch we have to duplicate host vars but it'll be cleaned up
    once we change to the new file in THT.

    Change-Id: Idbdd6a21eb2cd488daa1e3ddc844b4fc5267047c
    Related-Bug: #1842141
    (cherry picked from commit 21754e9987abd33b5c4f4d79dfbab324186f1fc8)

tags: added: in-stable-stein

Reviewed: https://review.opendev.org/680716
Committed: https://git.openstack.org/cgit/openstack/tripleo-common/commit/?id=74991a643a616be3cfa63d874497a325075714aa
Submitter: Zuul
Branch: stable/rocky

commit 74991a643a616be3cfa63d874497a325075714aa
Author: Emilien Macchi <email address hidden>
Date: Fri Aug 30 17:00:07 2019 -0400

    config-download: rename pre/post deployment hostvars

    We can't have numbers starting an Ansible var, so we need to rename the
    pre/post deployments host vars, or we hit this error:
      template error while templating string: expected token 'end of print statement'

    https://docs.ansible.com/ansible/latest/user_guide/playbooks_variables.html#creating-valid-variable-names

    In this patch we have to duplicate host vars but it'll be cleaned up
    once we change to the new file in THT.

    Change-Id: Idbdd6a21eb2cd488daa1e3ddc844b4fc5267047c
    Related-Bug: #1842141
    (cherry picked from commit 21754e9987abd33b5c4f4d79dfbab324186f1fc8)
    (cherry picked from commit 44da685cb03d99d9ae34598741b40ed7af54633c)

tags: added: in-stable-rocky
tags: added: in-stable-queens

Reviewed: https://review.opendev.org/680727
Committed: https://git.openstack.org/cgit/openstack/tripleo-common/commit/?id=300074ee2b5cb454ecb3826a191f83bb45586196
Submitter: Zuul
Branch: stable/queens

commit 300074ee2b5cb454ecb3826a191f83bb45586196
Author: Emilien Macchi <email address hidden>
Date: Fri Aug 30 17:00:07 2019 -0400

    config-download: rename pre/post deployment hostvars

    We can't have numbers starting an Ansible var, so we need to rename the
    pre/post deployments host vars, or we hit this error:
      template error while templating string: expected token 'end of print statement'

    https://docs.ansible.com/ansible/latest/user_guide/playbooks_variables.html#creating-valid-variable-names

    In this patch we have to duplicate host vars but it'll be cleaned up
    once we change to the new file in THT.

    Change-Id: Idbdd6a21eb2cd488daa1e3ddc844b4fc5267047c
    Related-Bug: #1842141
    (cherry picked from commit 21754e9987abd33b5c4f4d79dfbab324186f1fc8)
    (cherry picked from commit 44da685cb03d99d9ae34598741b40ed7af54633c)
    (cherry picked from commit 74991a643a616be3cfa63d874497a325075714aa)

Reviewed: https://review.opendev.org/680702
Committed: https://git.openstack.org/cgit/openstack/tripleo-heat-templates/commit/?id=b3432d7400c08f005631e6beeb9827aaed0221f7
Submitter: Zuul
Branch: stable/stein

commit b3432d7400c08f005631e6beeb9827aaed0221f7
Author: Emilien Macchi <email address hidden>
Date: Fri Aug 30 17:06:27 2019 -0400

    Rename pre/post deployments host vars

    To reflect the change done in dependency, we need to change the variable
    name.

    Change-Id: Id0f708e6d6ce9565a5569716edfe993c7eceabaa
    Related-Bug: #1842141
    Depends-On: Idbdd6a21eb2cd488daa1e3ddc844b4fc5267047c
    (cherry picked from commit 20a329f87d695265b919d32b74a65a08ec0a0029)

Reviewed: https://review.opendev.org/680722
Committed: https://git.openstack.org/cgit/openstack/tripleo-heat-templates/commit/?id=66631329b2edb4bcb096d7eaba97641a7071123e
Submitter: Zuul
Branch: stable/rocky

commit 66631329b2edb4bcb096d7eaba97641a7071123e
Author: Emilien Macchi <email address hidden>
Date: Fri Aug 30 17:06:27 2019 -0400

    Rename pre/post deployments host vars

    To reflect the change done in dependency, we need to change the variable
    name.

    Change-Id: Id0f708e6d6ce9565a5569716edfe993c7eceabaa
    Related-Bug: #1842141
    Depends-On: Idbdd6a21eb2cd488daa1e3ddc844b4fc5267047c
    (cherry picked from commit 20a329f87d695265b919d32b74a65a08ec0a0029)
    (cherry picked from commit 3da7bca86443e03c72de8a9907f90317fdfc2cf3)

Reviewed: https://review.opendev.org/680728
Committed: https://git.openstack.org/cgit/openstack/tripleo-heat-templates/commit/?id=0942b3784d8ac0d72a640d046665469ec9057a5f
Submitter: Zuul
Branch: stable/queens

commit 0942b3784d8ac0d72a640d046665469ec9057a5f
Author: Emilien Macchi <email address hidden>
Date: Fri Aug 30 17:06:27 2019 -0400

    Rename pre/post deployments host vars

    To reflect the change done in dependency, we need to change the variable
    name.

    Change-Id: Id0f708e6d6ce9565a5569716edfe993c7eceabaa
    Related-Bug: #1842141
    Depends-On: Idbdd6a21eb2cd488daa1e3ddc844b4fc5267047c
    (cherry picked from commit 20a329f87d695265b919d32b74a65a08ec0a0029)
    (cherry picked from commit 3da7bca86443e03c72de8a9907f90317fdfc2cf3)

Reviewed: https://review.opendev.org/680714
Committed: https://git.openstack.org/cgit/openstack/tripleo-common/commit/?id=f502dcd0e3fa81a5e311380180ca58c547569ae2
Submitter: Zuul
Branch: stable/stein

commit f502dcd0e3fa81a5e311380180ca58c547569ae2
Author: Emilien Macchi <email address hidden>
Date: Fri Aug 30 17:10:52 2019 -0400

    Clean up host var for pre/post deployment

    Just final clean-up.

    Change-Id: I9cd558bb83090c0d6fb58f72f3a1a01ec2141f3a
    Closes-Bug: #1842141
    Depends-On: Id0f708e6d6ce9565a5569716edfe993c7eceabaa
    (cherry picked from commit e198e9fb5eb13c549cc57b5d993e94f22ce390e7)

Reviewed: https://review.opendev.org/680724
Committed: https://git.openstack.org/cgit/openstack/tripleo-common/commit/?id=ec168cb3587730475a71d538a36a9a390e08df66
Submitter: Zuul
Branch: stable/rocky

commit ec168cb3587730475a71d538a36a9a390e08df66
Author: Emilien Macchi <email address hidden>
Date: Fri Aug 30 17:10:52 2019 -0400

    Clean up host var for pre/post deployment

    Just final clean-up.

    Change-Id: I9cd558bb83090c0d6fb58f72f3a1a01ec2141f3a
    Closes-Bug: #1842141
    Depends-On: Id0f708e6d6ce9565a5569716edfe993c7eceabaa
    (cherry picked from commit e198e9fb5eb13c549cc57b5d993e94f22ce390e7)
    (cherry picked from commit f502dcd0e3fa81a5e311380180ca58c547569ae2)

Reviewed: https://review.opendev.org/680730
Committed: https://git.openstack.org/cgit/openstack/tripleo-common/commit/?id=ad16c138c8588cb57d6d95654ec1275f6d56de2d
Submitter: Zuul
Branch: stable/queens

commit ad16c138c8588cb57d6d95654ec1275f6d56de2d
Author: Emilien Macchi <email address hidden>
Date: Fri Aug 30 17:10:52 2019 -0400

    Clean up host var for pre/post deployment

    Just final clean-up.

    Change-Id: I9cd558bb83090c0d6fb58f72f3a1a01ec2141f3a
    Closes-Bug: #1842141
    Depends-On: Id0f708e6d6ce9565a5569716edfe993c7eceabaa
    (cherry picked from commit e198e9fb5eb13c549cc57b5d993e94f22ce390e7)
    (cherry picked from commit f502dcd0e3fa81a5e311380180ca58c547569ae2)
    (cherry picked from commit ec168cb3587730475a71d538a36a9a390e08df66)

This issue was fixed in the openstack/tripleo-common 11.2.0 release.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers